-- name=int_dialog_map_comingsoon
--------------------------------------------------------------------------------
-- function DelegateScheme ()
--------------------------------------------------------------------------------
local _f = {
  Accept = function () end,
  OnHide = function () end
};
--------------------------------------------------------------------------------
function public.__GetDelegateScheme ()

  return _f;

end;
--------------------------------------------------------------------------------
function public.__InitObjects ()
  
  private.strings = {
    title = ne.strings.Get( "str_int_dialog_map_comingsoon_caption" )
  };

  private.CreateButtons();
  private.Adapt();
  
end;
--------------------------------------------------------------------------------
--function ... ()
--------------------------------------------------------------------------------
function public.Show ( section_name )

  if ( private.active ) then return; end;

  private.active = true;

  ui.obj.Set(
    "anm_int_dialog_map_comingsoon_window",
    {
      title    = private.strings.title,
      desc     = ne.strings.Get( "str_int_dialog_map_comingsoon_message" ),
      bg_image = "bg_default"
    }
  );
  
  ui.window.Open( "map_comingsoon" );

end;
--------------------------------------------------------------------------------
function public.Hide ()

  if ( not private.active ) then return; end;

  private.active = false;
  
  ui.window.Close( "map_comingsoon", _f.OnHide );

end;
--------------------------------------------------------------------------------
--function ... ()
--------------------------------------------------------------------------------
function private.CreateButtons ()

  ui.button.Create(
    "btn_int_dialog_map_comingsoon_accept",
    {
      title  = "str_int_dialog_map_comingsoon_accept",
      color  = "green",
      design = "medium",
      sound  = "simply_click"
    },
    function() _f.Accept(); end
  );
  
end;
--------------------------------------------------------------------------------
function private.Adapt ()

  ui.obj.ToCenter( "obj_int_dialog_map_comingsoon" );
  
end;
--------------------------------------------------------------------------------