-- name=m_items
--------------------------------------------------------------------------------
function public.__InitModule ()

end;
--------------------------------------------------------------------------------
-- function ... () end;
--------------------------------------------------------------------------------
function public.Chest_GetSettings ( chest_name )

  return lib_db.Settings( "chests" )[ chest_name ];

end;
--------------------------------------------------------------------------------
function public.Reward_InsteadStickerpack ()
  
  local reward = lib_db.Settings( "album" ).reward_instead_stickerpack;
  
  return reward;
  
end;
--------------------------------------------------------------------------------
-- function ... () end;
--------------------------------------------------------------------------------
function public.Reward_Add ( reward_data )

  local query =
  {
    query      = "insert",
    group      = "player",
    collection = "rewards",
    value      = reward_data
  };

  return lib_db.Execute( query );

end;
--------------------------------------------------------------------------------
function public.Reward_DeleteByFingerprint ( fingerprint )

  local query =
  {
    query      = "delete",
    group      = "player",
    collection = "rewards",
    indice     = "fingerprint",
    criteria   = { like = fingerprint }
  };
  
  lib_db.Execute( query );

end;
--------------------------------------------------------------------------------
function public.Reward_GetAll ()

  local query =
  {
    query      = "find_all",
    group      = "player",
    collection = "rewards"
  };
  
  return lib_db.Execute( query ).result;

end;
--------------------------------------------------------------------------------
function public.Reward_DeleteAll ()

  local query =
  {
    query      = "delete_all",
    group      = "player",
    collection = "rewards"
  };
  
  lib_db.Execute( query );

end;
--------------------------------------------------------------------------------