-- name=v_achievements
--------------------------------------------------------------------------------
-- function Modules ()
--------------------------------------------------------------------------------
local _modules = {
  "m_achievements",
  "int_panel_player_achievement"
};
--------------------------------------------------------------------------------
function public.__GetDependencies ()

  return _modules;

end;
--------------------------------------------------------------------------------
function public.__InitModule ()

  common.mod.Load( _modules );
  
end;
--------------------------------------------------------------------------------
-- function ... ()
--------------------------------------------------------------------------------
function public.Init ()

  m_achievements.Setup(
    v_stage.Stats()
  );

end;
--------------------------------------------------------------------------------
function public.ShowPanel ( achievement_level, functions )
    
  int_panel_player_achievement.Show(
    "btn_int_panel_interface_bottom_player",
    achievement_level,
    functions.OnHide,
    functions.OnTap
  );
  
end;
--------------------------------------------------------------------------------
function public.HidePanel ()
  
  int_panel_player_achievement.Hide();
  
end;
--------------------------------------------------------------------------------
--function ... ()
--------------------------------------------------------------------------------
function public.GetAll ()

  local  achievements = m_achievements.GetAll();  
  return achievements;

end;  
--------------------------------------------------------------------------------
function public.Stats ()
  
  local  stats = m_achievements.GetAchievementsStat();  
  return stats;
  
end;
--------------------------------------------------------------------------------
function public.SetRewarded ( achievement_name, level )
  
  m_achievements.SetRewarded( achievement_name, level );
  
end;
--------------------------------------------------------------------------------
--function ... ()
--------------------------------------------------------------------------------
function public.Achievement_IncreaseCount ( achievement_name )

  m_achievements.Achievement_IncreaseCount( achievement_name );
  
end;
--------------------------------------------------------------------------------