-- name=int_panel_booster_sorcery
--------------------------------------------------------------------------------
-- function DelegateScheme ()
--------------------------------------------------------------------------------
local _f = {
  Hide   = function () end,
  Reject = function () end,
};
--------------------------------------------------------------------------------
function public.__GetDelegateScheme ()

  return _f;

end;
--------------------------------------------------------------------------------
function public.__InitObjects ()

  ui.hub.Create( "int_panel_booster_sorcery" );

  ui.control.TapSet( "obj_int_panel_booster_sorcery_horizontal",
  {
    func_true = function ()

      private.Hide();
      private.Func_Hide( "horizontal" );

       common.sound.Play( "click_wood" );

    end
  } );

  ui.control.TapSet( "obj_int_panel_booster_sorcery_vertical",
  {
    func_true = function ()

      private.Hide();
      private.Func_Hide( "vertical" );

       common.sound.Play( "click_wood" );

    end
  } );

  ui.control.TapSet( "obj_int_panel_booster_sorcery_lock",
  {
    func_true = function ()

      private.Hide();
      private.Func_Reject();

    end
  } );

  ObjSet( "obj_int_panel_booster_sorcery_lock",
  {
    inputrect_w = GetAppWidth(),
    inputrect_h = GetAppHeight() } );  

end;
--------------------------------------------------------------------------------
-- function ... ()
--------------------------------------------------------------------------------
function public.Show ( x, y, func_hide, func_reject )

  private.Func_Hide = func_hide;
  private.Func_Reject = func_reject;
  _f.Hide = private.Hide;
  _f.Reject = func_reject;
  
  ui.hub.AttachContent( "int_panel_booster_sorcery" );

  ObjMultiSet( 
  {
    { "obj_int_panel_booster_sorcery", { pos_x = x + 35, pos_y = y + 35 } }
  } );

end;
--------------------------------------------------------------------------------
function private.Hide ()

  ui.hub.DetachContent( "int_panel_booster_sorcery" );

end;
--------------------------------------------------------------------------------