-- name=m_log
--------------------------------------------------------------------------------
function public.__InitModule ()

  --
  
end;
--------------------------------------------------------------------------------
-- function ...() end;
--------------------------------------------------------------------------------
function public.Player_GetResourceData ( resource_name )

  local  resource_data = lib_db.Player.Info()[ resource_name ] or 0;
  return resource_data;

end;
--------------------------------------------------------------------------------
function public.Player_IsPaying ()

  local  is_paying = lib_db.Player.Info().ispaying or 0;
  return is_paying;

end;
--------------------------------------------------------------------------------
-- function ...() end;
--------------------------------------------------------------------------------
function public.Stage_GetStaticData ( stage_name )

  local query =
  {
    query      = "find",
    group      = "static",
    collection = "stages",
    indice     = "name",
    criteria = { like = stage_name }
  };

  local  stage_data = lib_db.Execute( query ).result;
  return stage_data;

end;
--------------------------------------------------------------------------------
function public.Stage_GetStorageData ( stage_name )

  local query =
  {
    query      = "find",
    group      = "player",
    collection = "stages",
    indice     = "name",
    criteria   = { like = stage_name }
  };

  local  stage_data = lib_db.Execute( query ).result;
  return stage_data;

end;
--------------------------------------------------------------------------------
function public.Stage_ListBySection ( section_name )

  local query = 
  {
    query      = "find_all",
    group      = "static",
    collection = "stages",
    indice     = "section",
    criteria = { like = section_name }
  }; 

  local  stage_list = lib_db.Execute( query ).result;
  return stage_list;

end;
--------------------------------------------------------------------------------
function public.Stage_ListFromStorage ()

  local query =
  {
    query      = "find_all",
    group      = "player",
    collection = "stages"
  };
  
  local  stages_list = lib_db.Execute( query ).result;
  return stages_list;

end;
--------------------------------------------------------------------------------
function public.Stage_GetLast ()

  local  stage_last = lib_db.Player.Info().stage_last;
  return stage_last;

end;
--------------------------------------------------------------------------------