-- name=m_story
--------------------------------------------------------------------------------
function public.__InitModule ()

  --Log.i( "Initialized." );

end;
--------------------------------------------------------------------------------
--function ... ()
--------------------------------------------------------------------------------
function public.GetData ( section, cond_type, cond_name )

  local collection = "sections";
  local full_name  = section;
  if ( section:match( "section_%a+" ) ) then
    collection = "minievents";
    full_name = "minievent_"..section
  end;
  
  local query = 
  {
    query      = "find",
    group      = "static",
    collection = collection,
    indice     = "name",
    criteria   = { like = section }
  };

  local section_data = lib_db.Execute( query ).result;
  
  if ( section_data and section_data.story ) then
  
    local story = section_data.story;
    
    if ( story.type == cond_type and story.name == cond_name )  then
    
      local story_data =
      {
        res = "assets/content/"..full_name.."/story/anm_story_"..cond_name,
        aud = "assets/content/"..full_name.."/story/aud_story_"..cond_name
      };
      
      return story_data;
    
    end;
  
  end;
  
  return nil;

end;
--------------------------------------------------------------------------------